Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 05-28-03, 11:45 PM   #1
maynon
Registered User
 
Join Date: Feb 2003
Posts: 8
Default kernel-3.3

Has anyone compiled a kernel-2.4.20 with gcc-3.3 to use with nvidia drivers? I could not. Any advise will be appreciated.
How do you install nvidia drivers if there is a kernel mismatch. I have a distro with gcc-3.3 but without kernel compilation I cannot install the drivers. Thanks for the help in advance.
maynon is offline   Reply With Quote
Old 05-29-03, 05:45 PM   #2
bwkaz
Registered User
 
Join Date: Sep 2002
Posts: 2,262
Default

Kernel 2.4.20 has a ton of issues with gcc 3.3.

Apparently gcc 3.3 removed support for a bunch of deprecated features (or maybe it's just pickier than old gcc versions), and the kernel uses those features. Multiline strings is one of them.

There was a patch posted to lkml a while back that fixes certain issues.

2.4.21-rc6 (the latest as of today) also has a few compilation fixes for that compiler. You might try that kernel.

Which distro is shipping with gcc 3.3, BTW?
__________________
Registered Linux User #219692
bwkaz is offline   Reply With Quote
Old 05-29-03, 11:21 PM   #3
maynon
Registered User
 
Join Date: Feb 2003
Posts: 8
Default gcc-3.3

1. Solved the problem of kernel mismatch with your help. I have a Nvidia Geforec 4 mmx 440 card , kernel-2.4.20, compiler-gcc-3.3. Kernel and modules compiled with gcc-323.Searched forum and found your comments re kernel mismatch and nv driver.Executed "export IGNORE_KERNEL_MISMATCH=1" and run the installer. Installation successfull and the driver
works very well. Thanks again bwkaz.
2.The distro(gcc-3.3) is lfs based on lfs book 4.1put together myself. Cheated only on one package,glibc-232 which was precompiled slackpak. The rest fell into place as per book with the latest base packages.
3. Also made my 1st purelfs successfully but could use only gcc-3.2.3 .Regards and best wishe bwkaz.
maynon is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
Mageia 2 Cannot Install 71.86.15 for Riva TNT/TNT2 kbulgrien NVIDIA Linux 3 06-29-12 08:27 AM
Corrupted display - 302.17 - Dell Precision T3500 (G98 [Quadro NVS 295]) gbailey NVIDIA Linux 1 06-27-12 10:24 AM
UEFI+Nvidia - NVRM: Your system is not currently configured to drive a VGA console... interzoneuk NVIDIA Linux 0 06-26-12 04:51 AM
xorg locks-up with newest nvidia drivers w/ vdpau. theroot NVIDIA Linux 1 06-24-12 11:04 AM
Crash when logout from X TGL NVIDIA Linux 10 09-13-02 08:22 PM

All times are GMT -5. The time now is 09:48 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.